
/* color variables */
:root {
    --nordunet-blue-100: #005EB8;
    --nordunet-blue-75: #70A4D7;
    --nordunet-blue-50: #7FAEDB;
    --nordunet-blue-25: #BFD7ED;

    --nordunet-accent-blue: #1BA7D4;
    --nordunet-accent-green: #86E983;
    --nordunet-accent-yellow: #FFD166;
    --nordunet-accent-red: #EB6B83;

    --nordunet-light-border: #bbd8f6;

    --legacy-dark-blue: #205e9b;
    --legacy-light-blue: #8fc9ef;
    --legacy-light-blue-border: #428fd2;
    --legacy-break-yellow: #fff4d3;


    --font-dark: #030A1B;
    --font-grey-1: #F4F4F4;
    --font-grey-contrast: #858585;
    --font-grey-2: #EAEAEA;

    --transition-color: #191D68;

    --icon-col-width: 8.333%;
    --text-col-width: 8.333%;

}

#conference {
    margin-bottom: 5rem;
}

.table {
    margin-bottom: 0;
}

tbody,
tfoot,
th,
thead {
    border: 1px solid var(--legacy-light-blue-border);
}

.timeslot-row {
    position: relative;
    /* margin-top: 2rem; */
    /* margin-bottom: 2rem; */
    /* min-height: 3.5rem; */
    /* border-radius: 1rem; */
    min-height: 5.5rem;
}

.break {
    color: white;
}

.break>* {
    z-index: 1;
}

.break::after {
    content: "";
    position: absolute;
    top: 0;
    left: -5rem;
    right: 0;
    height: 100%;
    background: var(--legacy-light-blue-border);
    /* border-radius: 1rem; */
    /* should be the same as timeslot-row border-radius */
}

.center-vert {
    display: flex;
    align-items: center;
}

.center-hor {
    display: flex;
    justify-content: center;
}

.center {
    display: flex;
    justify-content: center;
    align-items: center;
}

.timeslot {
    border-left: 1px solid var(--legacy-light-blue-border);
    background-color: var(--legacy-dark-blue);
    color: white;
    height: 3.5rem;
}

.break-timeslot {
    z-index: 2;
}

.time-column {
    width: 6rem;
}

.bottom-right {
    position: absolute;
    bottom: .5rem;
    right: .5rem;
}

/* reset the default margin of elements to center the text properly */
h4 {
    margin: 0;
    padding: 0.5rem 0;
}

h3 {
    margin: 0;
    padding: 0.5rem 0;
}

.session {
    padding: 1rem;
    margin-bottom: 1rem;
    border: 1px solid var(--legacy-light-blue-border);
}

.speaker {
    color: #555;
}

.speaker::before {
    content: "\A";
    white-space: pre;
}

.talk {
    border-top: 1px solid var(--legacy-light-blue-border);
    padding: .75rem .5rem;
}

.talk:first-child {
    border-top: none;
}

.talk-title {
    color: black;
    font-weight: bold;
    cursor: pointer;
}

.popup {
    display: none
}

.popup.open {
    display: block;
}

.info {
    position: relative;
    display: none;
    border: 1px solid var(--legacy-light-blue-border);
    border-radius: 1rem;
    max-width: 30rem;
}

/* X button for closing info-cards */
.close-button {
    height: 2rem;
    width: 1.6rem;
    position: absolute;
    top: 0;
    right: 0;
    background: var(--nordunet-accent-red);
    color: white;
    border-radius: 0 0.9rem 0 0.9rem;
    cursor: pointer;
    z-index: 1
}

.copy-link-button {
    position: absolute;
    top: 0;
    right: 50%;
    cursor: pointer;
    z-index: 1;
    border-right: 1px dashed var(--legacy-light-blue-border);
    border-left: 1px dashed var(--legacy-light-blue-border);
    border-bottom: 1px dashed var(--legacy-light-blue-border);

    img {
        width: 1.5rem;
        height: 1.5rem;
    }
}

.info-title {
    font-weight: bold;
}

.info-session {
    background: white;
    padding: 1rem;
    margin-bottom: 2rem;
}

.info-talk {
    margin-top: 1rem;
    background: white;
    padding: 1rem;
}

.info-person {
    margin-top: 1rem;
    background: white;
    padding: 1rem;
}

.info-value {
    padding-left: .5rem;
    border-bottom: 1px solid grey;
}

.info-pic {
    max-width: 150px;
    border-radius: 8px;
    background-color: #d3d3d3;
}

/* hack for not having border poking out through rounded corner */
.info-pic~*:last-child {
    margin-right: 2px;
}

.session-chair,
.speaker {
    cursor: pointer;
}

.session-chair:hover,
.speaker:hover,
.session-title:hover,
.talk-title:hover {
    text-decoration: underline;
}

.session-header {
    background-color: var(--legacy-light-blue) !important;
    /* avoid calendar symbol overlaying other elements */
    padding-bottom: 35px !important; 
}

.session-title {
    font-size: 20px;
    font-weight: bold;
    color: black;
    cursor: pointer;
    text-decoration: none;
}

.no-left-border {
    border-left: none !important;
}

.border-blue {
    border: 1px solid var(--legacy-light-blue-border);
}

.border-blue-right {
    border-right: 1px solid var(--legacy-light-blue-border);
}

.border-blue-bottom {
    border-bottom: 1px solid var(--legacy-light-blue-border);
}

.no-padding {
    padding: 0 !important;
}

.day-heading {
    padding: .25rem 2.6rem 0.25rem 0.5rem;
    font-size: 2em;
    font-weight: bold;
}

.programme-day {
    background: #137dca;
    border: 1px solid #137dca;
    border-radius: 7px;
    color: #fff;
    padding: .5rem;
    margin-bottom: 40px;
    clear: both;
}

.content {
    background: white;
}

.no-margin {
    margin-right: 0;
    margin-left: 0;
}

.no-margin>.col,
.no-margin>[class*="col-"] {
    padding-right: 0;
    padding-left: 0;
}

.row.no-margin+.row.no-margin {
    /* add a border between repeated break "slots"  */
    border-top: 1px solid white;
}

.clickable {
    cursor: pointer;
}

.calendar {
    background: url("images/calendar-month-outline.svg") no-repeat scroll left top transparent;
    height: 26px;
    width: 26px;
    display: block;
}

.marker {
    background: url("images/map-marker-outline.svg") no-repeat scroll left top transparent;
    height: 26px;
    width: 26px;
    display: block;
}

.open-link {
    background: url("images/open-in-new.svg") no-repeat scroll left top transparent;
    height: 18px;
    width: 18px;
    display: inline-block;
}

.programme-day.open {
    background: url("images/box-title-overlay.png") no-repeat top right #137dca;
}

.programme-day.open>.day-heading>.day-action {
    background: url("images/minus.png") no-repeat scroll left top transparent;
}

.day-action {
    background: url("images/plus.png") no-repeat scroll left top transparent;
    display: block;
    height: 24px;
    width: 24px;
    position: absolute;
    top: 1.25rem;
    right: 1.5rem;
    cursor: pointer;
}

.content {
    display: none;
}

.open>.content {
    display: block;
}

.menu-item {
    padding: 20px 30px 20px 40px;
    color: white;
}

.disabled:hover {
    cursor: not-allowed;
    color: white;
}

.bold-link,
.bold-link:hover {
    font-weight: bold;
    color: white;
}

.navigation {
    height: 5.5rem;
    line-height: 4rem;
    font-size: 19px;
    padding: 10px 10px 10px 10px;
    width: 100%;
    justify-content: flex-end;
    text-align: right;
    background-color: var(--nordunet-blue-100);
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.navigation a {
    text-decoration: none;
    cursor: pointer;
}

.navigation .menu-item:hover:not(.active):not(.disabled) {
    text-decoration: none;
    cursor: pointer;
    color: #46B1E5;
}

.divider {
    position: relative;
    border-block-start: 2px solid var(--nordunet-blue-100);
    z-index: 5;
    width: 1000px;
    margin-left: -260px;
    margin-top: 1rem;
}

.conference-date {
    position: absolute;
    height: 5rem;
    top: 12rem;

    font-size: 25px;
    font-weight: bold;
}

.grid-container>* {
    border-left: 1px solid var(--legacy-light-blue-border);
    padding: .5rem;
}

.session-talks>* {
    border-left: 1px dashed var(--legacy-light-blue-border);
    padding: 0.5rem;
}

.grid-container {
    display: grid;
    gap: 0.5rem;
    grid-template-columns: repeat(3, 33%);
    font-size: 13px;
}

.speaker-grid {
    grid-template-columns: repeat(3, 15rem);
}

.grid-container>.talk-title,
.grid-container>.session-title {
    display: block;
    font-size: 15px;
}

.info-card {
    background: #fff;
    border-radius: 8px;
    margin: 16px;
    padding: 16px;
    width: 100%;
    max-width: 60rem;
}

.chair-org {
    max-width: 20rem;
}

.people {
    gap: 10px;
    margin-top: .5rem;
}

.person {
    color: #555;
    display: block;
}

.person>* .session-chair {
    font-weight: bold;
    cursor: pointer;
}

.person>.info-pic {
    max-width: 100px;
    margin-right: .5rem;
    margin-top: .3rem;
}

.info-text, 

.card-description {
    margin-bottom: 1.5rem;
}

.icon-col,
.icon-col2,
.text-col,
.text-col2 {
    flex: 0 0 auto;
}

.icon-col {
    width: var(--icon-col-width);
}

.icon-col2 {
    width: calc(100% - var(--icon-col-width));
}

.text-col {
    width: var(--text-col-width);
}

.text-col2 {
    width: calc(100% - var(--text-col-width));
}

/* NDN2024 specific classes */
.ndn2024-logo-image {
    margin-left: -8rem;
}

.ndn2024-location-text {
    color: var(--nordunet-blue-100)
}

.ndn2024-bergen-image {
    margin-right: -8rem;
    margin-bottom: 51px
}

/* mobile fixes */
.room-header {
    white-space: nowrap;
}

.timeslot-header {
    white-space: nowrap;
}

.conference-header {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-link.active {
    font-weight: bold;
}

@media (max-width: 992px) {

    :root {
        --text-col-width: 25%;
    }

    h4 {
        padding-left: 3px;
    }

    .timeslot-header {
        white-space: wrap;
    }

    .conference-header {
        flex-wrap: wrap;
    }

    .conference-header img {
        margin: 0 !important;
        overflow: hidden;
    }

    .conference-header .divider {
        width: 100%;
        margin-left: 0px;
    }

    .time-column {
        width: auto;
    }

    .break-timeslot {
        width: 96px;
    }

    .room-header {
        white-space: wrap;
        font-size: 14px;
    }

    .menu-item {
        padding: 10px;
    }

    .grid-container {
        grid-template-columns: 100%;
    }

    .speaker-grid {
        grid-template-columns: repeat(2, 50%);
    }

    .people {
        justify-content: unset !important;
    }
}

@media (max-width: 768px) {
    table .container {
        padding-left: 4px;
        padding-right: 4px;
    }

    .navigation {
        height: auto;
        display: flex;
        flex-direction: column;
        text-align: center;
        align-items: center;
    }

    .menu-item {
        padding: 0;
        width: 100%;
    }
}

@media (max-width: 576px) {
    .info-session {
        min-width: 176px;
    }

    .session-header {
        font-size: 14px;
        overflow-wrap: break-word;
    }

    .session-title {
        font-size: 14px;
    }

    .talk-title {
        font-size: 12px;
    }

    .speaker {
        font-size: 12px;
    }

    .track-header h4 {
        font-size: 18px;
    }

    .room-header {
        font-size: 12px;
    }

    .track-header>.col {
        font-size: 18px;
        padding: 4px;
    }
}

/* minor fix for really small resolutions to prevent overlapping */
@media (max-width: 480px) {
    .divider {
        margin-top: 50px;
    }
}